Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.boot
Class Main

    java.lang.Object
      de.grogra.pf.boot.Main

    public final class Main

extends java.lang.Object

Field Summary
`static java.lang.String` | `HEADLESS`
`static java.lang.String` | `SCREEN_PROPERTY`
`static java.lang.Integer` | `SCREEN_PROPERTY_ID`

Method Summary
`static void` | `closeSplashScreen()`
`static void` | `error(java.lang.String msg)`
`static void` | `error(java.lang.Throwable exception)`
`static void` | `exit()`
`static Application` | `getApplication()`
`static java.lang.String` | `getArg(int index)`
`static int` | `getArgCount()`
`static java.io.File` | `getConfigurationDirectory()`
`static java.lang.Object` | `getFromResource(java.lang.String key)`
`static I18NBundle` | `getI18NBundle()`
`static I18NBundle` | `getI18NBundle(java.lang.String pluginId)`
`static Main` | `getInstance()`
`static java.lang.ClassLoader` | `getLoaderForAll()`
`static java.util.logging.Logger` | `getLogger()`
`static java.lang.String` | `getProperty(java.lang.String name)`
`static java.lang.String` | `getProperty(java.lang.String name, java.lang.String defaultValue)`
`static Registry` | `getRegistry()`
`static java.lang.String` | `getVersion()`
`static boolean` | `isInitialized()`
`static void` | `logSevere(java.lang.Throwable thrown)`
`static void` | `logWarning(java.lang.Throwable thrown)`
`static void` | `main(java.lang.String[] args)`
`void` | `setProperty(java.lang.String name, java.lang.String value)`
`static void` | `showMessage(java.lang.String msg, boolean exitOnClose)`
`static boolean` | `usesProjectTree()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HEADLESS

    public static final java.lang.String HEADLESS

See Also:
  Constant Field Values

### SCREEN_PROPERTY

    public static final java.lang.String SCREEN_PROPERTY

See Also:
  Constant Field Values

### SCREEN_PROPERTY_ID

    public static final java.lang.Integer SCREEN_PROPERTY_ID

Method Detail

### closeSplashScreen

    public static void closeSplashScreen()

### error

    public static void error(java.lang.String msg)

### error

    public static void error(java.lang.Throwable exception)

### exit

    public static void exit()

### getApplication

    public static Application getApplication()

### getArg

    public static java.lang.String getArg(int index)

### getArgCount

    public static int getArgCount()

### getConfigurationDirectory

    public static java.io.File getConfigurationDirectory()

### getFromResource

    public static java.lang.Object getFromResource(java.lang.String key)

### getI18NBundle

    public static I18NBundle getI18NBundle()

### getI18NBundle

    public static I18NBundle getI18NBundle(java.lang.String pluginId)

### getInstance

    public static Main getInstance()

### getLoaderForAll

    public static java.lang.ClassLoader getLoaderForAll()

### getLogger

    public static java.util.logging.Logger getLogger()

### getProperty

    public static java.lang.String getProperty(java.lang.String name)

### getProperty

    public static java.lang.String getProperty(java.lang.String name,
                                               java.lang.String defaultValue)

### getRegistry

    public static Registry getRegistry()

### getVersion

    public static java.lang.String getVersion()

### isInitialized

    public static boolean isInitialized()

### logSevere

    public static void logSevere(java.lang.Throwable thrown)

### logWarning

    public static void logWarning(java.lang.Throwable thrown)

### main

    public static void main(java.lang.String[] args)

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.String value)

### showMessage

    public static void showMessage(java.lang.String msg,
                                   boolean exitOnClose)

### usesProjectTree

    public static boolean usesProjectTree()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD